## lxc 2.0.11

=== debian/changelog ===
lxc (2.0.11-0ubuntu1~16.04.3) xenial; urgency=medium

  * Cherry-pick upstream bugfix (fixes regression on attach with uid/gid):
    - attach: improve id switching
    - utils: make id switching functions return bool

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 Apr 2019 13:58:10 -0400

lxc (2.0.11-0ubuntu1~16.04.2) xenial; urgency=medium

  * Use clean LDFLAGS when building the static init.lxc, otherwise we
    end up with broken binaries on some architectures.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 Apr 2019 12:36:36 -0400

lxc (2.0.11-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream bugfix release (2.0.11) (LP: #1816642)
    - Security fix for CVE-2018-6556 (affecting 2.0.9+)
    - Mitigation for CVE-2019-5736

    - Full changelog available at:
      https://discuss.linuxcontainers.org/t/lxc-2-0-11-has-been-released/4238

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 04 Mar 2019 15:07:19 -0500
