=== debian/control ===
Source: lxc
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: autotools-dev,
               bash-completion,
               debhelper (>= 9),
               dh-apparmor,
               dh-autoreconf,
               dh-systemd,
               docbook2x,
               dpkg-dev (>= 1.16.1~) | hardening-wrapper,
               libapparmor-dev,
               libcap-dev,
               libgnutls28-dev,
               liblua5.2-dev,
               libseccomp-dev,
               libselinux1-dev,
               linux-libc-dev,
               pkg-config,
               python3-all-dev (>= 3.2.3)
Standards-Version: 3.9.8
Homepage: https://linuxcontainers.org
Vcs-Git: https://github.com/lxc/lxc-pkg-ubuntu
Vcs-Browser: https://github.com/lxc/lxc-pkg-ubuntu
X-Python3-Version: >= 3.2

Package: lxc
Architecture: all
Depends: lxc1 (>= ${source:Version}), ${misc:Depends}
Priority: extra
Section: oldlibs
Description: Transitional package for lxc1
 This is a transitional dummy package. It can safely be removed.
 .
 The currently recommended LXC experience is available as lxc2 and is
 provided by LXD using the LXC backend.

Package: lxc1
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         bridge-utils,
         dnsmasq-base,
         iptables,
         liblxc1 (= ${binary:Version}),
         python3,
         python3-lxc (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libpam-cgfs, lxc-templates (= ${binary:Version})
Suggests: btrfs-tools, lvm2, lxctl
Replaces: lxc (<< 2.0.0~rc2-0ubuntu1~)
Breaks: lxc (<< 2.0.0~rc2-0ubuntu1~)
Description: Linux Containers userspace tools
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package provides the lxc-* tools, which can be used to start a single
 daemon in a container, or to boot an entire "containerized" system, and to
 manage and debug your containers.

Package: lxc-common
Architecture: linux-any
Depends: liblxc1 (= ${binary:Version}),
         ${lxc:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: lxc (<< 2.0.0~rc2-0ubuntu1~)
Breaks: lxc (<< 2.0.0~rc2-0ubuntu1~)
Description: Linux Containers userspace tools (common tools)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package contains a few binaries and security profiles required by
 all liblxc1 users.

Package: lxc-dev
Section: libdevel
Architecture: linux-any
Depends: liblxc1 (= ${binary:Version}), ${misc:Depends}
Description: Linux Containers userspace tools (development)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package contains the development files.

Package: lxc-templates
Architecture: linux-any
Depends: lxc1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: busybox-static,
            cloud-image-utils | cloud-utils,
            debootstrap | cdebootstrap,
            openssl,
            rsync,
            uuid-runtime,
            xz-utils
Suggests: qemu-user-static
Replaces: lxc (<< 2.0.0~rc2-0ubuntu1~)
Breaks: lxc (<< 2.0.0~rc2-0ubuntu1~)
Description: Linux Containers userspace tools (templates)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package contains the templates.

Package: lxc-tests
Architecture: linux-any
Depends: liblxc1 (= ${binary:Version}),
         lxc-templates (= ${binary:Version}),
         lxc1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Linux Containers userspace tools (test binaries)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package contains the test binaries. Those binaries are primarily
 used for autopkgtest and by some developers. They are not meant to be
 installed on regular user systems.

Package: liblxc1
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: cgroup-lite | systemd,
         lxc-common (= ${binary:Version}),
         rsync,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxcfs, uidmap
Replaces: liblxc0, lxc (<< 0.9.0~alpha3-0ubuntu1~)
Breaks: lxc (<< 0.9.0~alpha3-0ubuntu1~)
Provides: liblxc0
Conflicts: liblxc0
Description: Linux Containers userspace tools (library)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package contains the libraries.

Package: python3-lxc
Architecture: linux-any
Section: python
Depends: liblxc1 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: lxc-templates (= ${binary:Version})
Description: Linux Containers userspace tools (Python 3.x bindings)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package contains the Python 3.x bindings.

Package: lua-lxc
Architecture: linux-any
Section: interpreters
Depends: liblua5.2-0,
         liblxc1 (= ${binary:Version}),
         lua-filesystem,
         lua5.2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxc-templates (= ${binary:Version})
Description: Linux Containers userspace tools (Lua bindings)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package contains the Lua bindings.
