## lxc 2.1.0

=== debian/changelog ===
lxc (2.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release (LXC 2.1): (LP: #1715278)
    - https://linuxcontainers.org/lxc/news

    - This is an intermediary release between LXC 2.0 (LTS) and LXC 3.0 (LTS).
      LXC 2.1 supports both the older configuration keys and the newer ones.
      A number of options and commands will also now issue deprecation
      warning before they completely go away in LXC 3.0.

      It is recommended that you run "lxc-update-config" for your
      containers and make sure that there is no leftover warnings.

  * Cherry-pick fixes from upstream:
    - 0002-Fix-typo.patch
    - 0003-network-add-missing-checks-for-empty-links.patch
    - 0004-cleanup-remove-unnecessary-zeroing.patch
    - 0005-console-clean-tty-state-return-0-on-peer-exit.patch
    - 0006-tools-fix-lxc-upate-config.patch
    - 0007-criu-use-correct-check-initialization-check.patch
    - 0008-storage-overlay-do-not-write-to-invalid-memory.patch
    - 0009-utils-do-not-write-to-0-sized-buffer.patch
    - 0010-overlay-fix-use-after-free.patch
    - 0011-lxc-unshare-do-not-pass-NULL-pointer.patch
    - 0012-lxc-user-nic-remove-double-initialization.patch
    - 0013-execute-enable-console-standard-dev-symlinks.patch
    - 0014-start-switch-ids-at-last-possible-instance.patch
    - 0015-storage-avoid-segfault.patch
    - 0016-tests-Support-systemd-hybrid-cgroups.patch

  * Build depend on python3-setuptools.
  * Bump standard to 4.0.0.
  * Drop upstart jobs on artful and higher.
  * Update lintian overrides.
  * Build a manpage with help2man for lxc-update-config.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 18 Sep 2017 18:32:38 -0400

lxc (2.0.8-0ubuntu7.1) artful; urgency=medium

  * Cherrypick fixes for netplan to fix release-regressed autopkgtests and
    unblock proposed migration of reverse-dependencies.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 06 Sep 2017 17:10:01 +0100

lxc (2.0.8-0ubuntu7) artful; urgency=medium

  * Cherry-pick upstream fix:
    - 0014-templates-ubuntu-conditionally-move-upstart-ssh-job-.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 29 Aug 2017 14:40:49 -0400

lxc (2.0.8-0ubuntu6) artful; urgency=medium

  * Cherry-pick upstream fix:
    - 0012-cgroups-handle-hybrid-cgroup-layouts.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 22 Aug 2017 18:43:41 -0400

lxc (2.0.8-0ubuntu5) artful; urgency=medium

  * debian/patches/0012-gcc-7-workaround.patch: workaround for gcc-7 bug
    that causes lxc to FTBFS. LP: #1711449. Closes: #853531.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Thu, 17 Aug 2017 20:29:29 +0000

lxc (2.0.8-0ubuntu4) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:25:57 +0000

lxc (2.0.8-0ubuntu3) artful; urgency=medium

  * Cherry-pick upstream workaround for ppc64el failure:
    - 0011-utils-fix-ppc64le-builds.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 29 May 2017 13:15:38 -0400

lxc (2.0.8-0ubuntu2) artful; urgency=medium

  * Cherry-pick some upstream fixes:
    - conf{,ile}: allow one to clear all config items
    - start: pin rootfs when privileged
    - conf: fix build without libcap
    - start: don't call lxc_map_ids() without id map
    - lxc-attach: allow for situations without /dev/tty
    - utils: fix num parsing functions
    - tests: lxc_safe_{u}int() add corner-case tests

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 16 May 2017 13:35:34 -0400

lxc (2.0.8-0ubuntu1) artful; urgency=medium

  * New upstream bugfix release (2.0.8):
    - Security fix for CVE-2017-5985 (previously fixed in Ubuntu)

    - All templates have been updated to not set default passwords anymore,
      instead requiring lxc-attach be used to configure users.

      This may affect some automated environments that were relying on our
      default (very much insecure) users.

    - Make lxc-start-ephemeral Python 3.2-compatible
    - Fix typo
    - Allow build without sys/capability.h
    - lxc-opensuse: fix default value for release code
    - util: always malloc for setproctitle
    - util: update setproctitle comments
    - confile: clear lxc.network..ipv{4,6} when empty
    - lxc_setup_tios(): Ignore SIGTTOU and SIGTTIN signals
    - Make lxc-net return non-zero on failure
    - seccomp: allow x32 guests on amd64 hosts.
    - Add HAVE_LIBCAP
    - c/r: only supply --ext-mount-map for bind mounts
    - Added 'mkdir -p' functionality in create_or_remove_cgroup
    - Use LXC_ROOTFS_MOUNT in clonehostname hook
    - squeeze is not a supported release anymore, drop the key
    - start: dumb down SIGCHLD from WARN() to NOTICE()
    - log: fix lxc_unix_epoch_to_utc()
    - cgfsng: make trim() safer
    - seccomp: set SCMP_FLTATR_ATL_TSKIP if available
    - lxc-user-nic: re-order #includes
    - lxc-user-nic: improve + bugfix
    - lxc-user-nic: delete link on failure
    - conf: only try to delete veth when privileged
    - Fix lxc-containers to support multiple bridges
    - Fix mixed tab/spaces in previous patch
    - lxc-alpine: use dl-cdn.a.o as default mirror instead of random one
    - lxc-checkconfig: verify new[ug]idmap are setuid-root
    - [templates] archlinux: resolve conflicting files
    - [templates] archlinux: noneed default_timezone variable
    - python3: Deal with potential NULL char*
    - lxc-download.in / allow setting keyserver from env
    - lxc-download.in / Document keyserver change in help
    - Change variable check to match existing style
    - tree-wide: include directly
    - conf/ile: make sure buffer is large enough
    - tree-wide: include directly
    - tests: Support running on IPv6 networks
    - tests: Kill containers (don't wait for shutdown)
    - Fix opening wrong file in suggest_default_idmap
    - do not set the root password in the debian template
    - do not set insecure passwords
    - don't set a default password for altlinux, gentoo, openmandriva and pld

