=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                dh-systemd,
                docbook2x,
                dpkg-dev (>= 1.16.1~) | hardening-wrapper,
+               help2man,
                libapparmor-dev,
                libcap-dev,
                libgnutls28-dev,
@@ -18,8 +19,9 @@
                libselinux1-dev,
                linux-libc-dev,
                pkg-config,
-               python3-all-dev (>= 3.2.3)
-Standards-Version: 3.9.8
+               python3-all-dev (>= 3.2.3),
+               python3-setuptools
+Standards-Version: 4.0.0
 Homepage: https://linuxcontainers.org
 Vcs-Git: https://github.com/lxc/lxc-pkg-ubuntu
 Vcs-Browser: https://github.com/lxc/lxc-pkg-ubuntu
