=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 export DEB_BUILD_HARDENING = 1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+include /usr/share/dpkg/default.mk
 
 DEB_DH_INSTALLINIT_ARGS = --upstart-only
 
@@ -27,10 +28,6 @@
 	  CFLAGS="$$(python$$pv-config --includes) -I ../../src -L../../src/lxc/" python$$pv setup.py build; \
 	done
 
-	# Re-build static binary without pie/fpie (causes broken binary)
-	rm src/lxc/init.lxc.static
-	make LDFLAGS="" init.lxc.static -C src/lxc/
-
 override_dh_auto_install:
 	dh_auto_install
 	set -e; cd src/python-lxc && for pv in $(PY3V); do \
@@ -56,6 +53,9 @@
 	if [ -x /usr/bin/dh_apparmor ]; then \
 		dh_apparmor -p lxc-common --profile-name=usr.bin.lxc-start; \
 	fi
+
+	# Temporary help2man
+	help2man -n "LXC config converter" debian/tmp/usr/bin/lxc-update-config --no-info --version-string=2.1.0 --no-discard-stderr > debian/tmp/usr/share/man/man1/lxc-update-config.1
 
 	# cleanup .la files
 	find debian/tmp/ -type f -name \*.la -delete
@@ -98,12 +98,18 @@
 	dh_builddeb
 
 override_dh_installinit:
+ifeq (,$(findstring $(DEB_DISTRIBUTION), trusty xenial zesty))
+	# Disable upstart integration on artful+
+	cp debian/lxc1.maintscript.in debian/lxc1.maintscript
+	rm -f debian/lxc1/etc/init/*.conf
+else
 	cp debian/lxc1/etc/init/lxc.conf debian/lxc1.upstart
 	cp debian/lxc1/etc/init/lxc-instance.conf debian/lxc1.lxc-instance.upstart
 	cp debian/lxc1/etc/init/lxc-net.conf debian/lxc1.lxc-net.upstart
+	dh_installinit --no-start --no-restart-on-upgrade --name=lxc-instance
+endif
 	dh_installinit --no-restart-on-upgrade --name=lxc
 	dh_installinit --no-restart-on-upgrade --name=lxc-net
-	dh_installinit --no-start --no-restart-on-upgrade --name=lxc-instance
 
 override_dh_gencontrol:
 	if dpkg --compare-versions "$(shell grep DISTRIB_RELEASE /etc/lsb-release | cut -d= -f2)" ge "14.10"; then \
