## lxc 3.0.0

=== debian/changelog ===
lxc (3.0.0-0ubuntu2) bionic; urgency=medium

  * Add missing breaks/replaces for lxc-init moving from lxc1 to
    liblxc-common (LP: #1760609).

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 02 Apr 2018 11:56:45 -0400

lxc (3.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream LTS release:
    - LXC 3.0 will be supported until June 2023.
    - Announcement: https://linuxcontainers.org/lxc/news/

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 28 Mar 2018 00:07:48 -0400

lxc (3.0.0~beta4-0ubuntu1) bionic; urgency=medium

  * New upstream beta (3.0.0~beta4)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 26 Mar 2018 23:40:44 -0400

lxc (3.0.0~beta3-0ubuntu1) bionic; urgency=medium

  * New upstream beta (3.0.0~beta3)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 23 Mar 2018 16:25:55 -0400

lxc (3.0.0~beta2-0ubuntu2) bionic; urgency=medium

  * Move LXC's init and init.static to liblxc-common

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 19 Mar 2018 18:36:31 -0400

lxc (3.0.0~beta2-0ubuntu1) bionic; urgency=medium

  * New upstream beta (3.0.0~beta2)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 19 Mar 2018 17:43:49 -0400

lxc (3.0.0~beta1-0ubuntu3) bionic; urgency=medium

  * Make liblxc-common conflicts/replaces lxc-common rather than
    breaks/replaces.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 05 Mar 2018 04:31:40 -0500

lxc (3.0.0~beta1-0ubuntu2) bionic; urgency=medium

  * Fix autopkgtest
    - Record timing of tests in autopkgtest.
    - Disable the lxc-test-state-server test due to broken busybox.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 Mar 2018 17:20:11 -0500

lxc (3.0.0~beta1-0ubuntu1) bionic; urgency=medium

  * New upstream beta (3.0.0~beta1)
  * Remove lxc-templates, now its own source
    - Move lxc-templates from recommends to suggests
    - liblxc-common now replaces part of lxc-templates
  * Remove python3-lxc, now its own source
  * Add libpam-cgfs (moved from lxcfs)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 01 Mar 2018 14:02:28 -0500

lxc (2.1.1-0ubuntu4) bionic; urgency=medium

  * Loosen dependency on lxc-templates ahead of LXC 3.0.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 28 Feb 2018 18:33:11 -0500

lxc (2.1.1-0ubuntu3) bionic; urgency=medium

  * Drop lxc-utils dependency on python3-lxc.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 28 Feb 2018 18:26:35 -0500

lxc (2.1.1-0ubuntu2) bionic; urgency=medium

  * Drop some packages ahead of LXC 3.0:
    - lxc-tests (not needed for autopkgtests anymore)
    - lua-lxc (unused and moved out of tree upstream)

  * Rename packages:
    - lxc1 to lxc-utils (lxc1 becomes transitional)
    - lxc-common to liblxc-common
    - lxc-dev to liblxc-dev (lxc-dev becomes transitional)

  * Update debian/tests/exercise
    - Make it build the test binaries

  * Drop backward compatibility code for pre-16.04 Ubuntu

  * Update to current standards
    - Fix trailing whitespaces in debian/changelog
    - Move debian/source.lintian-overrides to debian/lintian-overrides
    - Update all URLs in debian/changelog to https
    - Bump compat to 10
    - Bump standards to 4.1.3
    - Drop --with autotools_dev from debian/rules
    - Bump debhelper dependency to 10 or higher
    - Drop dh-autoreconf, autotools-dev and dh-systemd build-dependencies
    - Drop un-needed lintian source overrides

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 26 Feb 2018 16:01:23 -0500

lxc (2.1.1-0ubuntu1) bionic; urgency=medium

  * New upstream bugfix release (LXC 2.1.1)
    - apparmor: Drop useless apparmor denies
    - cgfsng: Check whether we have a conf
    - cgfsng: Fail when limits fail to apply
    - conf: Error out on too many mappings
    - conf: Ignore lxc.kmsg and lxc.pivotdir
    - conf: Make update warning opt-in
    - conf: Preserve newlines in configuration file
    - conf: Remove dead assignments in parse_idmaps()
    - conf: Remove unnecessary zeroing
    - conf: Use the proper type for rlim_t, fixing build failure on x32.
    - console: Clean tty state + return 0 on peer exit
    - console: Remove dead assignments
    - core: Introduce userns_exec_full() and port the codebase to it
    - criu: Use correct check initialization check
    - doc: Add lxc.cgroup.dir to Japanese lxc.container.conf(5)
    - doc: Add lxc-update-config manpage
    - doc: Document missing env variables
    - doc: Fix regex-typo in Japanese and Korean lxc-monitor(1)
    - doc: Fix regex-typo in lxc-monitor.sgml.in
    - doc: Translate lxc(7) into Japanese
    - doc: Translate lxc-update-config(1) into Japanese
    - execute: Enable console & standard /dev symlinks
    - init: Become session leader
    - log: Fix a format string build failure on x32.
    - log: Prevent stack smashing
    - monitor: Remove dead assignment
    - network: Add missing checks for empty links
    - network: Clear ifindeces
    - network: Non-functional changes
    - network: Remove dead assignments
    - network: Use single helper to delete networks
    - start: Don't close inherited namespace fds
    - start: Move env setup before container setup
    - start: Pass LXC_LOG_LEVEL to hooks
    - start: Remove dead variable
    - start: Set environment variables correctly
    - start: Switch ids at last possible instance
    - storage: Avoid segfault on missing lxc.rootfs.path
    - storage: Fix typo in error message
    - storage/lvm: Fix thinpool logical volumes
    - storage/overlay: Do not write to invalid memory
    - storage/overlay: Fix use after free()
    - storage/zfs: Return error directly when zfs creation fails
    - template/alpine: Change file check to also check file size (-f => -s)
    - template/archlinux: Change locale "en-US.UTF-8" to "en_US.UTF-8"
    - template/debian: Don't force getty@ configuration
    - template/plamo: Delete unnecessary process during container shutdown
    - tests: Avoid NULL pointer dereference
    - tests: Remove dead assignments
    - tests: Support systemd hybrid cgroups

