=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libselinux1-dev,
                linux-libc-dev,
                pkg-config
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://linuxcontainers.org
 Vcs-Git: https://github.com/lxc/lxc-pkg-ubuntu
 Vcs-Browser: https://github.com/lxc/lxc-pkg-ubuntu
